Uploaded image for project: 'Data Management'
  1. Data Management
  2. DM-7189

Protobuf package will not install with modern EUPS

    XMLWordPrintable

    Details

    • Type: Story
    • Status: Done
    • Resolution: Done
    • Fix Version/s: None
    • Component/s: protobuf
    • Labels:
      None

      Description

      There is a problem installing protobuf on Python 3 triggered by modern EUPS quoting. This may be a generic issue found on bleeding edge EUPS that quote $PREFIX to allow for spaces in names. On modern EUPS the install target is eval -led and protobuf has code copied from the old implementation of the install target.

        Attachments

          Activity

          Hide
          tjenness Tim Jenness added a comment -

          Trivial change to add eval to match the way that EUPS works (the code was copied from eupspkg).

          Show
          tjenness Tim Jenness added a comment - Trivial change to add eval to match the way that EUPS works (the code was copied from eupspkg ).

            People

            Assignee:
            tjenness Tim Jenness
            Reporter:
            tjenness Tim Jenness
            Watchers:
            Fritz Mueller, Tim Jenness
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Jenkins

                No builds found.